
-- | A dot-parenthesis file. These are mostly used by the RNAstrand DB.
-- Admittedly, the format is very similar to dot-bracket.

module Biobase.DataSource.DotParen where

import qualified Data.ByteString.Lazy.Char8 as BS



data DotParen = DotParen
  { comments :: [BS.ByteString]
  , sequence :: BS.ByteString
  , dotparen :: BS.ByteString
  }
  deriving (Show)

type DotParens = [DotParen]
